Subject: bug#71967: closed (Issue can be closed.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Oct 2024 09:38:02 +0000

Your bug report

#71967: Emacs erc-image package is broken?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71967: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Issue can be closed.
From: Apoorv <[email-masked]>
To: 71967 Done <[email-masked]>
Date: Sun, 6 Oct 2024 11:37:42 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I don't have any issues with this package anymore, so I guess this can be closed.

-- 
 Sent with Tuta; enjoy secure & ad-free emails: 
 https://tuta.com

Subject: Emacs erc-image package is broken?
From: Apoorv <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Sat, 6 Jul 2024 09:13:58 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I had my last home reconfigure in April and I have not been able to update since because multiple packages have been giving me errors when I launch Emacs, including `emacs-erc-image`.

```
Cannot open load file No such file or directory /gnu/store/mfyb9kzkikmmbfi3dfin0panmlbarnb0-emacs-erc-image-0-3.82fb387/share/emacs/site-lisp/erc-image-0-3.82fb387/erc-image-autoloads
```

there is no erc-image-autoloads file, I'm not sure why it it trying to load this file.

there is also this one other error I get,
```
Symbol's value as variable is void: for
```

Running Emacs with `--debug-init` gives me this when this error occurs,
```
Debugger entered--Lisp error: (void-variable for)
  solaire-mode--prepare-for-theme-a(doom-solarized-dark t)
  apply(solaire-mode--prepare-for-theme-a (doom-solarized-dark t))
  load-theme(doom-solarized-dark t)
  load-with-code-conversion("/home/apoorv/.emacs.d/init.el" "/home/apoorv/.emacs.d/init.el" t t)
  load("/home/apoorv/.emacs.d/init" noerror nomessage)
  #f(compiled-function () #<bytecode 0x84e470693faeb10>)()
  #f(compiled-function () #<bytecode -0x4307d7bb01d2857>)()
  handler-bind-1(#f(compiled-function () #<bytecode -0x4307d7bb01d2857>) (error) startup--debug)
  startup--load-user-init-file(#f(compiled-function () #<bytecode 0x1fb1653a8bd7d667>) #f(compiled-function () #<bytecode 0x731968ef8c2999b>) t)
  command-line()
  normal-top-level()
```

If I disable installing any Emacs package via `Guix` and simple rely on `straight` for example everything works fine, so it shouldn't be something in my `init.el`.

-- 
 Sent with Tuta; enjoy secure & ad-free emails: 
 https://tuta.com